Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "48024808-fbca-4426-85d7-a72361d6aaef",
"user_id": "cb8b3eb5-7df3-4bf8-a23a-c909c9ccb0a1",
"user_planning_slot_type_id": "a0c72936-6136-4a2f-b3e0-0f8ae94999e4",
"date_from": "2026-10-31T16:22:10.1436992+00:00",
"date_to": "2026-10-31T16:22:10.1436992+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-31T16:22:10.1436992+00:00"
}